> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/integration/getall/{enterpriseId} ## OpenAPI ````json GET /v2/integration/getall/{enterpriseId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/integration/getall/{enterpriseId}": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "enterpriseId", "in": "path", "required": true, "description": "Enterprise id", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2IntegrationGetallEnterpriseIdGetResponse" } } } } } } } }, "components": { "schemas": { "v2IntegrationGetallEnterpriseIdGetResponse": { "type": "object", "properties": { "integrations": { "type": "array", "items": { "$ref": "#/components/schemas/alertserviceIntegration" } } }, "additionalProperties": false }, "alertserviceIntegration": { "type": "object", "properties": { "createdBy": { "type": "string", "example": "example string" }, "createdOn": { "type": "string", "example": "example string" }, "details": { "$ref": "#/components/schemas/alertserviceIntegrationDetails" }, "enterpriseId": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isActive": { "type": "boolean", "example": true }, "lastScanned": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "last scanned time for integrations (zendesk)" }, "nickName": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "alertserviceIntegrationDetails": { "type": "object", "properties": { "opsgenieKey": { "type": "string", "example": "example string" }, "opsrampDetails": { "type": "string", "example": "example string" }, "pagerdutyRoutingKey": { "type": "string", "example": "example string" }, "webhookUrl": { "type": "string", "example": "example string" }, "zendeskDetails": { "$ref": "#/components/schemas/alertserviceZendeskDetails" } }, "additionalProperties": false }, "alertserviceZendeskDetails": { "type": "object", "properties": { "zendeskApiToken": { "type": "string", "example": "example string", "description": "zendesk api token (deprecated, use zendesk_client_secret)" }, "zendeskAssigneeId": { "type": "string", "example": "example string", "description": "zendesk assignee id (required)" }, "zendeskBaseUrl": { "type": "string", "example": "example string", "description": "zendesk base url (required)" }, "zendeskClientId": { "type": "string", "example": "example string", "description": "zendesk oauth client id (required)" }, "zendeskClientSecret": { "type": "string", "example": "example string", "description": "zendesk oauth client secret (required)" }, "zendeskEmail": { "type": "string", "example": "example string", "description": "zendesk email (deprecated, use zendesk_client_id)" } }, "additionalProperties": false, "required": [ "zendeskAssigneeId", "zendeskBaseUrl", "zendeskClientId", "zendeskClientSecret" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````